      subroutine openf
      use mod_casdint
      IMPLICIT REAL*8(A-H,O-X,Z),logical*1(y)
      include '../../param/maxlong.prm'
      character(10000) namel
      
 
      

      open(93,file='BID93')
      namel=' '
      do
         read(5,'(a300)',end=1) namel(1:300)
         write(93,'(a)') trim(namel)
      enddo
 1    continue
      rewind 93

      cdi1=' '
      info1=' '
      mono1=' '
      ijcl1=' '
      ijcl21=' '
      ijcl31=' '
      ijcl41=' '
      Info='Info'
      Mono='Mono'
      ijcl='ijcl'
      ijcl2='ijcl2'
      ijcl3='ijcl3'
      ijcl4='ijcl4'
      y_test_adressage=.false.
      mem=200
      maxlong_modif=maxlong

      call LECNAM('&CASDINT',namel,93,ierr,1)
      call namela(namel,PREFIX,'PREFIX')
      call namela(namel,MONO1,'MONO1')
      call namela(namel,INFO1,'INFO1')
      call namela(namel,ijcl1,'IJCL1')
      call namela(namel,ijcl21,'IJCL21')
      call namela(namel,ijcl31,'IJCL31')
      call namela(namel,ijcl41,'IJCL41')
      call namela(namel,ijcl,'IJCL')
      call namela(namel,ijcl2,'IJCL2')
      call namela(namel,ijcl3,'IJCL3')
      call namela(namel,ijcl4,'IJCL4')
      call nameli(namel,MEM,'MEM',4)
      call namell(namel,y_test_adressage,'Y_TEST_ADRESSAGE',1)
      call nameli(namel,MAXLONG_modif,'MAXLONG',4)

      if(cdi1==' ') cdi1=trim(prefix)//'cdi'
      if(info1==' ') info1=trim(prefix)//trim(info)
      if(mono1==' ') mono1=trim(prefix)//trim(mono)
      if(ijcl1==' ') ijcl1=trim(prefix)//trim(ijcl)
      if(ijcl21==' ') ijcl21=trim(prefix)//trim(ijcl2)
      if(ijcl31==' ') ijcl31=trim(prefix)//trim(ijcl3)
      if(ijcl41==' ') ijcl41=trim(prefix)//trim(ijcl4)
      print*,'info1  ',trim(info1)
      print*,'mono1  ',trim(mono1)
      print*,'ijcl1  ',trim(ijcl1)
      print*,'ijcl21 ',trim(ijcl21)
      print*,'ijcl31 ',trim(ijcl31)
      print*,'ijcl41 ',trim(ijcl41)
      write(75,*)'long max d''un fichier (maxlong) ',
     *maxlong_modif,' kB',' ( =',maxlong_modif/1000,
     *' Mb = ',maxlong_modif/1000000,' Gb)$'
      call scril
      open(45,file=info1,status='old')
      call LECNAM('&COST_MO',namel,45,ierr,1)
      call nameli(namel,NORB,'NORB',4)
      call nameli(namel,noc,'NOC',4)
      allocate(itsym(norb))
      call nameli(namel,ITSYM,'ITSYM',4)
      call nameli(namel,NSYM,'NSYM',4)
      print*,'norb',norb
      write(75,*)'itsym',itsym,'$'
      call scril
      close(45)

      return
      end
